public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/scikit-learn/
Date: Mon,  6 Nov 2023 10:46:59 +0000 (UTC)	[thread overview]
Message-ID: <1699267600.753fc662cd996655f64043b4a7e37e4c289e7002.andrewammerlaan@gentoo> (raw)

commit:     753fc662cd996655f64043b4a7e37e4c289e7002
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  6 10:43:28 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Nov  6 10:46:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=753fc662

sci-libs/scikit-learn: add 1.3.2

Bug: https://bugs.gentoo.org/911369
Closes: https://bugs.gentoo.org/910258
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-libs/scikit-learn/Manifest                  |  1 +
 sci-libs/scikit-learn/scikit-learn-1.3.2.ebuild | 60 +++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/sci-libs/scikit-learn/Manifest b/sci-libs/scikit-learn/Manifest
index 9751f4cfb522..c61f3cb4a30b 100644
--- a/sci-libs/scikit-learn/Manifest
+++ b/sci-libs/scikit-learn/Manifest
@@ -1 +1,2 @@
 DIST scikit-learn-1.1.2.gh.tar.gz 7104556 BLAKE2B e67e1deddf5a1134b57a146e8271a406cb257ffc92c9719e90f5b9d98e711b68bc67e3367660ecaad61aaec1794bb8999b4dd00b7d56e21eca8fcb2ee72cc9aa SHA512 58789c1e607d7de3339fa3b8928553ca96cef93e8da8fd13612aa78e5ebde8e6a55e3bf7845f9a45b78ed77da6a219d08d2c26318b602f937e0e3debd239293e
+DIST scikit-learn-1.3.2.gh.tar.gz 7650823 BLAKE2B 170699917f46d6d3f4b9ebc314bc1ec45687dad0a4aec5d2cee6e288b5dbe508bad6dd80406501f289a33593c6482067393e9dc28155f85a4872a34523bf4199 SHA512 a3799e9b39b755a50ba225f836904a378f7d83a08274c614d0485e4d4d4a7b0c7adba2dbb6612f2ccb4e5167f872214a2853eff69d767dc70f52369bda7a230b

diff --git a/sci-libs/scikit-learn/scikit-learn-1.3.2.ebuild b/sci-libs/scikit-learn/scikit-learn-1.3.2.ebuild
new file mode 100644
index 000000000000..4618b7e65231
--- /dev/null
+++ b/sci-libs/scikit-learn/scikit-learn-1.3.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Machine learning library for Python"
+HOMEPAGE="https://scikit-learn.org/stable/"
+SRC_URI="https://github.com/scikit-learn/scikit-learn/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+IUSE="examples"
+
+DEPEND="
+	virtual/blas:=
+	virtual/cblas:=
+"
+RDEPEND="
+	${DEPEND}
+	dev-python/wheel[${PYTHON_USEDEP}]
+	>=dev-python/joblib-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.22.3[${PYTHON_USEDEP}]
+	>=dev-python/scipy-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/threadpoolctl-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+# For some reason this wants to use urllib to fetch things from the internet
+# distutils_enable_sphinx doc \
+# 	dev-python/matplotlib \
+# 	dev-python/memory-profiler \
+# 	dev-python/numpydoc \
+# 	dev-python/pandas \
+# 	dev-python/pillow \
+# 	dev-python/seaborn \
+# 	dev-python/sphinx-gallery \
+# 	dev-python/sphinx-prompt \
+# 	sci-libs/scikit-image
+
+python_test() {
+	# This needs to be run in the install dir
+	cd "${WORKDIR}/${P}-${EPYTHON//./_}/install/usr/lib/${EPYTHON}/site-packages/sklearn" || die
+	distutils-r1_python_test
+}
+
+python_install_all() {
+	find "${S}" -name \*LICENSE.txt -delete || die
+	distutils-r1_python_install_all
+	use examples && dodoc -r examples
+}


             reply	other threads:[~2023-11-06 10:47 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-06 10:46 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-10 14:49 [gentoo-commits] repo/gentoo:master commit in: sci-libs/scikit-learn/ Sam James
2024-03-10 14:49 Sam James
2024-03-10 14:28 Michał Górny
2024-01-20  9:07 Sam James
2024-01-03 18:52 Arthur Zamarin
2023-11-19 20:07 Arthur Zamarin
2023-11-10 18:26 Patrick McLean
2023-08-06 12:30 Michał Górny
2023-05-04 17:04 Michał Górny
2022-11-07  7:44 Sam James
2022-11-06  7:24 Sam James
2022-10-14 13:31 Andrew Ammerlaan
2022-06-13 10:57 Andrew Ammerlaan
2021-12-29 14:13 Andrew Ammerlaan
2021-09-16  5:32 Arthur Zamarin
2021-06-25  4:46 Michał Górny
2021-06-24 21:47 Sam James
2021-06-24 21:47 Sam James
2021-05-29 17:41 Andrew Ammerlaan
2020-11-26 21:03 Sam James
2020-11-13 21:32 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1699267600.753fc662cd996655f64043b4a7e37e4c289e7002.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox